cgD3D9IsProgramLoaded(3)

NAME
cgD3D9IsProgramLoaded - determine if a program has been loaded

SYNOPSIS
  #include <Cg/cgD3D9.h>
  CGbool cgD3D9IsProgramLoaded( CGprogram program );

PARAMETERS

program
    The program which will be checked.

RETURN VALUES
Returns CG_TRUE if program has been loaded using cgD3D9LoadProgram.

Returns CG_FALSE otherwise.

DESCRIPTION
cgD3D9IsProgramLoaded determines if a program has been loaded using cgD3D9LoadProgram.

EXAMPLES
  // program is a CGprogram initialized elsewhere
  ...
  CGbool isLoaded = cgD3D9IsProgramLoaded(program);

ERRORS
None.

HISTORY
cgD3D9IsProgramLoaded was introduced in Cg 1.1.

SEE ALSO
cgD3D9LoadProgram